## cif2hkl 1.4.2+ds1

=== debian/changelog ===
cif2hkl (1.4.2+ds1-1) unstable; urgency=medium

  * Document copyright info for example datasets and CFML library.
  * Exclude LuMnO3.cif dataset (unclear license).
  * Generate manpage with help2man.
  * Initial upload (Closes: #1020400).

 -- Roland Mas <lolando@debian.org>  Wed, 28 Sep 2022 11:04:29 +0200

cif2hkl (1.4.1-1~0) unstable; urgency=medium

  * Switch to non-native packaging. Thanks, Emmanuel, for the previous work!
  * Packaging tweaks: build-depends, package description, copyright, use
    of dh_installexamples.

 -- Roland Mas <lolando@debian.org>  Tue, 20 Sep 2022 21:21:33 +0200

cif2hkl (1.4.1) unstable; urgency=medium

  * New upstream version 1.4.1 with updated CrysFML

 -- Emmanuel Farhi <emmanuel.farhi@synchrotron-soleil.fr>  Wed, 15 Jun 2022 09:47:49 +0100

cif2hkl (1.3) unstable; urgency=medium

  * New upstream version 1.3

 -- Emmanuel Farhi <emmanuel.farhi@synchrotron-soleil.fr>  Tue, 24 May 2022 16:49:54 +0100
