=== debian/control ===
Source: cif2hkl
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Emmanuel Farhi <emmanuel.farhi@synchrotron-soleil.fr>,
 Roland Mas <lolando@debian.org>
Build-Depends: debhelper-compat (= 13), fort77, gfortran, help2man
Standards-Version: 4.6.0
Homepage: https://gitlab.com/soleil-data-treatment/soleil-software-projects/cif2hkl

Package: cif2hkl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Convert crystallographic descriptions into HKL F^2 reflection lists
 A program that computes structure factors |F^2| for neutrons, x-rays,
 and electrons from CIF/CFL/SHX/PCR crystallographic descriptions.
 This is useful to compute the diffraction pattern from materials.
 .
 This package contains the executable.
