=== debian/watch ===
version=4
opts=\
repack,repacksuffix=+ds1,dversionmangle=auto \
https://gitlab.com/soleil-data-treatment/soleil-software-projects/cif2hkl/-/tags?sort=updated_desc archive/v@ANY_VERSION@/cif2hkl-v?[\d.]+\S*@ARCHIVE_EXT@
