## cif2hkl 1.4.5+ds1

=== debian/changelog ===
cif2hkl (1.4.5+ds1-2) unstable; urgency=medium

  * Team upload.
  * Add Vcs-Browser: & Vcs-Git: tags.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 07 Feb 2025 12:13:38 +0100

cif2hkl (1.4.5+ds1-1) unstable; urgency=medium

  * d/watch: only the git interface is stable...
  * New upstream version 1.4.5+ds1

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 25 Nov 2024 13:14:29 +0100
