## cif2hkl 1.4.6+ds1

=== debian/changelog ===
cif2hkl (1.4.6+ds1-1) unstable; urgency=medium

  [ Emmanuel FARHI ]
  * New upstream version 1.4.6+ds1

 -- Emmanuel Farhi <emmanuel.farhi.1@gmail.com>  Fri, 14 Feb 2025 20:06:25 +0100
