=== debian/control ===
--- 
+++ 
@@ -7,6 +7,8 @@
 Build-Depends: debhelper-compat (= 13), fort77, gfortran, help2man
 Standards-Version: 4.6.0
 Homepage: https://gitlab.com/soleil-data-treatment/soleil-software-projects/cif2hkl
+Vcs-Browser: https://salsa.debian.org/science-team/cif2hkl
+Vcs-Git: https://salsa.debian.org/science-team/cif2hkl.git
 
 Package: cif2hkl
 Architecture: any
