=== debian/watch ===
version=4
opts=\
"repack,repacksuffix=+ds1,dversionmangle=auto,mode=git" \
  https://gitlab.com/soleil-data-treatment/soleil-software-projects/cif2hkl.git \
  refs/tags/@ANY_VERSION@
