=== debian/changelog ===
cif2hkl (1.4.7+ds1-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 03 Feb 2026 22:22:06 +0100

cif2hkl (1.4.7+ds1-1) unstable; urgency=medium

  [ Emmanuel FARHI ]
  * New upstream version 1.4.7+ds1
  * d/patch: removed as this is now in the upstream 

 -- Emmanuel Farhi <emmanuel.farhi.1@gmail.com>  Tue, 13 May 2025 15:35:34 +0200
